From 702b46f465a5ff20633a7f61c5838843520b6ff1 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Fr=C3=A9d=C3=A9ric=20P=C3=A9ters?= <fpeters@entrouvert.com>
Date: Sun, 28 Feb 2021 16:19:33 +0100
Subject: [PATCH] misc: remove usage of "six" module (#51517)

---
 tests/admin_pages/test_datasource.py          |  5 +-
 tests/admin_pages/test_form.py                | 11 ++-
 tests/admin_pages/test_settings.py            | 24 ++---
 tests/admin_pages/test_workflow.py            |  4 +-
 tests/admin_pages/test_wscall.py              |  5 +-
 tests/backoffice_pages/test_all.py            | 18 ++--
 tests/backoffice_pages/test_export.py         |  9 +-
 tests/backoffice_pages/test_submission.py     |  4 +-
 tests/conftest.py                             |  6 +-
 tests/form_pages/test_all.py                  | 84 ++++++++---------
 tests/form_pages/test_block.py                |  6 +-
 tests/form_pages/test_formdata.py             | 49 +++++-----
 tests/test_api.py                             | 90 +++++++++++--------
 tests/test_carddef.py                         |  5 +-
 tests/test_categories.py                      |  4 +-
 tests/test_datasource.py                      | 40 ++++-----
 tests/test_datasource_chrono.py               | 19 ++--
 tests/test_ezt.py                             | 46 +++++-----
 tests/test_fc_auth.py                         | 27 +++---
 tests/test_formdef.py                         |  5 +-
 tests/test_formdef_import.py                  | 36 ++++----
 tests/test_hobo.py                            |  4 +-
 tests/test_mail_templates.py                  |  4 +-
 tests/test_publisher.py                       | 15 ++--
 tests/test_saml2utils.py                      |  4 +-
 tests/test_saml_auth.py                       | 20 ++---
 tests/test_snapshots.py                       |  4 +-
 tests/test_workflow_import.py                 | 29 +++---
 tests/test_workflows.py                       | 21 +++--
 tests/utilities.py                            |  6 +-
 wcs/admin/forms.py                            |  7 +-
 wcs/admin/settings.py                         | 10 +--
 wcs/admin/users.py                            |  4 +-
 wcs/admin/workflows.py                        |  5 +-
 wcs/api.py                                    |  6 +-
 wcs/api_utils.py                              | 36 ++++----
 wcs/backoffice/data_management.py             |  4 +-
 wcs/backoffice/management.py                  | 15 ++--
 wcs/carddata.py                               |  4 +-
 wcs/ctl/check_hobos.py                        | 19 ++--
 wcs/ctl/delete_tenant.py                      |  4 +-
 wcs/ctl/management/commands/convert_to_sql.py |  4 +-
 wcs/custom_views.py                           |  4 +-
 wcs/data_sources.py                           | 10 +--
 wcs/fields.py                                 |  9 +-
 wcs/formdata.py                               |  8 +-
 wcs/formdef.py                                |  7 +-
 wcs/forms/backoffice.py                       |  4 +-
 wcs/forms/common.py                           |  6 +-
 wcs/forms/root.py                             |  7 +-
 wcs/middleware.py                             |  4 +-
 wcs/monkeypatch.py                            |  7 +-
 wcs/portfolio.py                              | 13 ++-
 wcs/publisher.py                              |  9 +-
 wcs/qommon/__init__.py                        |  5 +-
 wcs/qommon/backoffice/listing.py              | 10 +--
 wcs/qommon/ctl.py                             |  6 +-
 wcs/qommon/errors.py                          |  4 +-
 wcs/qommon/evalutils.py                       |  6 +-
 wcs/qommon/ezt.py                             | 11 ++-
 wcs/qommon/form.py                            |  1 -
 wcs/qommon/http_request.py                    |  1 -
 wcs/qommon/ident/franceconnect.py             |  8 +-
 wcs/qommon/ident/idp.py                       |  9 +-
 wcs/qommon/logger.py                          |  4 +-
 wcs/qommon/misc.py                            | 39 ++++----
 wcs/qommon/publisher.py                       | 41 +++++----
 wcs/qommon/saml2.py                           | 10 +--
 wcs/qommon/sms.py                             |  2 +-
 wcs/qommon/storage.py                         |  7 +-
 wcs/qommon/template.py                        |  9 +-
 wcs/qommon/templatetags/qommon.py             | 11 ++-
 wcs/qommon/upload_storage.py                  |  4 +-
 wcs/qommon/x509utils.py                       |  3 +-
 wcs/root.py                                   |  4 +-
 wcs/sql.py                                    | 11 ++-
 wcs/wf/attachment.py                          |  6 +-
 wcs/wf/export_to_model.py                     |  9 +-
 wcs/wf/geolocate.py                           |  4 +-
 wcs/wf/jump.py                                |  4 +-
 wcs/wf/profile.py                             |  4 +-
 wcs/wf/roles.py                               |  8 +-
 wcs/wf/wscall.py                              |  9 +-
 wcs/workflows.py                              | 15 ++--
 wcs/wscalls.py                                | 11 ++-
 85 files changed, 521 insertions(+), 565 deletions(-)

diff --git a/tests/admin_pages/test_datasource.py b/tests/admin_pages/test_datasource.py
index 87a1e8587..aff2cd91c 100644
--- a/tests/admin_pages/test_datasource.py
+++ b/tests/admin_pages/test_datasource.py
@@ -1,5 +1,6 @@
 # -*- coding: utf-8 -*-
 
+import io
 import json
 import mock
 import os
@@ -10,8 +11,6 @@ try:
 except ImportError:
     lasso = None
 
-from django.utils.six import StringIO
-
 import pytest
 from webtest import Upload
 
@@ -502,7 +501,7 @@ def test_data_sources_export(pub):
     resp = resp.click(href='export')
     xml_export = resp.text
 
-    ds = StringIO(xml_export)
+    ds = io.StringIO(xml_export)
     data_source2 = NamedDataSource.import_from_xml(ds)
     assert data_source2.name == 'foobar'
 
diff --git a/tests/admin_pages/test_form.py b/tests/admin_pages/test_form.py
index f8ff98a71..1293444e9 100644
--- a/tests/admin_pages/test_form.py
+++ b/tests/admin_pages/test_form.py
@@ -1,6 +1,7 @@
 # -*- coding: utf-8 -*-
 
 import datetime
+import io
 import mock
 import os
 import re
@@ -11,8 +12,6 @@ import xml.etree.ElementTree as ET
 import pytest
 from webtest import Upload
 
-from django.utils.six import StringIO, BytesIO
-
 from wcs.qommon.http_request import HTTPRequest
 from wcs.qommon.errors import ConnectionError
 from wcs.categories import Category
@@ -962,7 +961,7 @@ def test_form_export(pub):
     resp = resp.click(href='export')
     xml_export = resp.text
 
-    fd = StringIO(xml_export)
+    fd = io.StringIO(xml_export)
     formdef2 = FormDef.import_from_xml(fd)
     assert formdef2.name == 'form title'
 
@@ -1064,7 +1063,7 @@ def test_form_import_from_url(pub):
         resp.form['url'] = 'http://remote.invalid/test.wcs'
         resp = resp.form.submit()
         assert 'Error loading form' in resp
-        urlopen.side_effect = lambda *args: StringIO(formdef_xml.decode())
+        urlopen.side_effect = lambda *args: io.StringIO(formdef_xml.decode())
         resp.form['url'] = 'http://remote.invalid/test.wcs'
         resp = resp.form.submit()
     assert FormDef.count() == 1
@@ -2368,7 +2367,7 @@ def test_form_archive(pub):
     resp = resp.click(href='archive')
     resp = resp.form.submit('submit')
     assert resp.content_type == 'application/x-wcs-archive'
-    tf = tarfile.open(fileobj=BytesIO(resp.body))
+    tf = tarfile.open(fileobj=io.BytesIO(resp.body))
     assert 'formdef' in [x.name for x in tf.getmembers()]
     assert len(tf.getmembers()) == 8  # 7 formdata + 1 formdef
 
@@ -2377,7 +2376,7 @@ def test_form_archive(pub):
     resp = resp.click(href='archive')
     resp = resp.form.submit('submit')
     assert resp.content_type == 'application/x-wcs-archive'
-    tf = tarfile.open(fileobj=BytesIO(resp.body))
+    tf = tarfile.open(fileobj=io.BytesIO(resp.body))
     assert 'formdef' in [x.name for x in tf.getmembers()]
     assert len(tf.getmembers()) == 1  # 0 formdata + 1 formdef
 
diff --git a/tests/admin_pages/test_settings.py b/tests/admin_pages/test_settings.py
index 794ca4928..f10208cda 100644
--- a/tests/admin_pages/test_settings.py
+++ b/tests/admin_pages/test_settings.py
@@ -1,5 +1,6 @@
 # -*- coding: utf-8 -*-
 
+import io
 import logging
 import os
 import zipfile
@@ -13,8 +14,7 @@ import pytest
 from webtest import Upload
 import mock
 
-from django.utils.six import BytesIO
-from django.utils.six.moves.urllib import parse as urlparse
+import urllib.parse
 
 from quixote.http_request import Upload as QuixoteUpload
 
@@ -113,11 +113,11 @@ def test_settings_export_import(pub):
     resp = app.get('/backoffice/settings/export')
     resp = resp.form.submit('submit')
     assert resp.location.startswith('http://example.net/backoffice/processing?job=')
-    job_id = urlparse.parse_qs(urlparse.urlparse(resp.location).query)['job'][0]
+    job_id = urllib.parse.parse_qs(urllib.parse.urlparse(resp.location).query)['job'][0]
     resp = resp.follow()
     assert 'completed' in resp.text
     resp = resp.click('Download Export')
-    zip_content = BytesIO(resp.body)
+    zip_content = io.BytesIO(resp.body)
     zipf = zipfile.ZipFile(zip_content, 'a')
     filelist = zipf.namelist()
     assert len(filelist) == 0
@@ -147,7 +147,7 @@ def test_settings_export_import(pub):
     export_to.label = 'test'
     upload = QuixoteUpload('/foo/bar', content_type='application/vnd.oasis.opendocument.text')
     file_content = b'''PK\x03\x04\x14\x00\x00\x08\x00\x00\'l\x8eG^\xc62\x0c\'\x00'''
-    upload.fp = BytesIO()
+    upload.fp = io.BytesIO()
     upload.fp.write(file_content)
     upload.fp.seek(0)
     export_to.model_file = UploadedFile('models', 'export_to_model-1.upload', upload)
@@ -164,10 +164,10 @@ def test_settings_export_import(pub):
     resp = app.get('/backoffice/settings/export')
     resp = resp.form.submit('submit')
     assert resp.location.startswith('http://example.net/backoffice/processing?job=')
-    job_id = urlparse.parse_qs(urlparse.urlparse(resp.location).query)['job'][0]
+    job_id = urllib.parse.parse_qs(urllib.parse.urlparse(resp.location).query)['job'][0]
     resp = resp.follow()
     resp = resp.click('Download Export')
-    zip_content = BytesIO(resp.body)
+    zip_content = io.BytesIO(resp.body)
     zipf = zipfile.ZipFile(zip_content, 'a')
     filelist = zipf.namelist()
     assert 'formdefs/1' not in filelist
@@ -243,10 +243,10 @@ def test_settings_export_import(pub):
     resp.form['wscalls'] = False
     resp = resp.form.submit('submit')
     assert resp.location.startswith('http://example.net/backoffice/processing?job=')
-    job_id = urlparse.parse_qs(urlparse.urlparse(resp.location).query)['job'][0]
+    job_id = urllib.parse.parse_qs(urllib.parse.urlparse(resp.location).query)['job'][0]
     resp = resp.follow()
     resp = resp.click('Download Export')
-    zip_content = BytesIO(resp.body)
+    zip_content = io.BytesIO(resp.body)
     zipf = zipfile.ZipFile(zip_content, 'a')
     filelist = zipf.namelist()
     assert 'formdefs_xml/%s' % formdef.id in filelist
@@ -277,10 +277,10 @@ def test_settings_export_import(pub):
     resp = app.get('/backoffice/settings/export')
     resp = resp.form.submit('submit')
     assert resp.location.startswith('http://example.net/backoffice/processing?job=')
-    job_id = urlparse.parse_qs(urlparse.urlparse(resp.location).query)['job'][0]
+    job_id = urllib.parse.parse_qs(urllib.parse.urlparse(resp.location).query)['job'][0]
     resp = resp.follow()
     resp = resp.click('Download Export')
-    zip_content = BytesIO(resp.body)
+    zip_content = io.BytesIO(resp.body)
     zipf = zipfile.ZipFile(zip_content, 'a')
     filelist = zipf.namelist()
     assert len([x for x in filelist if 'roles/' in x]) == 0
@@ -810,7 +810,7 @@ def test_settings_theme_download_upload(pub):
     resp = app.get('/backoffice/settings/themes')
     resp = resp.click('download', index=0)
     assert resp.headers['content-type'] == 'application/zip'
-    zip_content = BytesIO(resp.body)
+    zip_content = io.BytesIO(resp.body)
     zipf = zipfile.ZipFile(zip_content, 'a')
     filelist = zipf.namelist()
     assert 'alto/icon.png' in filelist
diff --git a/tests/admin_pages/test_workflow.py b/tests/admin_pages/test_workflow.py
index 4b871c842..45eb8d8c3 100644
--- a/tests/admin_pages/test_workflow.py
+++ b/tests/admin_pages/test_workflow.py
@@ -1,6 +1,6 @@
 # -*- coding: utf-8 -*-
 
-from io import StringIO
+import io
 import mock
 import os
 import re
@@ -358,7 +358,7 @@ def test_workflows_import_from_url(pub):
         resp.form['url'] = 'http://remote.invalid/test.wcs'
         resp = resp.form.submit()
         assert 'Error loading form' in resp
-        urlopen.side_effect = lambda *args: StringIO(wf_export.decode())
+        urlopen.side_effect = lambda *args: io.StringIO(wf_export.decode())
         resp.form['url'] = 'http://remote.invalid/test.wcs'
         resp = resp.form.submit()
     assert Workflow.count() == 2
diff --git a/tests/admin_pages/test_wscall.py b/tests/admin_pages/test_wscall.py
index 6a3e07da4..5d8236fd2 100644
--- a/tests/admin_pages/test_wscall.py
+++ b/tests/admin_pages/test_wscall.py
@@ -1,9 +1,8 @@
 # -*- coding: utf-8 -*-
 
+import io
 import xml.etree.ElementTree as ET
 
-from django.utils.six import StringIO
-
 import pytest
 from webtest import Upload
 
@@ -159,7 +158,7 @@ def test_wscalls_export(pub, wscall):
     resp = resp.click(href='export')
     xml_export = resp.text
 
-    ds = StringIO(xml_export)
+    ds = io.StringIO(xml_export)
     wscall2 = NamedWsCall.import_from_xml(ds)
     assert wscall2.name == 'xxx'
 
diff --git a/tests/backoffice_pages/test_all.py b/tests/backoffice_pages/test_all.py
index e3d3be52f..3a18a4258 100644
--- a/tests/backoffice_pages/test_all.py
+++ b/tests/backoffice_pages/test_all.py
@@ -1,5 +1,7 @@
 # -*- coding: utf-8 -*-
+
 import datetime
+import io
 import json
 import os
 import re
@@ -10,8 +12,6 @@ import zipfile
 import mock
 import pytest
 
-from django.utils.six import StringIO, BytesIO
-
 from quixote import get_publisher
 from quixote.http_request import Upload as QuixoteUpload
 from wcs.blocks import BlockDef
@@ -2082,7 +2082,7 @@ def test_backoffice_download_as_zip(pub):
     formdef.store()
     resp = app.get('/backoffice/management/form-title/%s/' % number31.id)
     resp = resp.click('Download all files as .zip')
-    zip_content = BytesIO(resp.body)
+    zip_content = io.BytesIO(resp.body)
     zipf = zipfile.ZipFile(zip_content, 'a')
     filelist = zipf.namelist()
     assert set(filelist) == {'1_bar', '2_bar'}
@@ -2725,7 +2725,7 @@ def test_backoffice_wfedit_and_data_source_with_user_info(pub):
 
         def side_effect(url, *args):
             assert '?name_id=admin' in url
-            return StringIO(json.dumps(data))
+            return io.StringIO(json.dumps(data))
 
         urlopen.side_effect = side_effect
 
@@ -2779,7 +2779,7 @@ def test_backoffice_wfedit_and_workflow_data(pub):
 
         def side_effect(url, *args):
             assert '?test=foobar' in url
-            return StringIO(json.dumps(data))
+            return io.StringIO(json.dumps(data))
 
         urlopen.side_effect = side_effect
 
@@ -2835,7 +2835,7 @@ def test_backoffice_wfedit_and_data_source_with_field_info(pub):
 
         def side_effect(url, *args):
             assert '?xxx=FOO BAR 30' in url
-            return StringIO(json.dumps(data))
+            return io.StringIO(json.dumps(data))
 
         urlopen.side_effect = side_effect
 
@@ -4212,9 +4212,9 @@ def test_backoffice_workflow_form_with_live_data_source(pub):
 
         def side_effect(url, *args):
             if 'toto' not in url:
-                return StringIO(json.dumps(data1))
+                return io.StringIO(json.dumps(data1))
             else:
-                return StringIO(json.dumps(data2))
+                return io.StringIO(json.dumps(data2))
 
         urlopen.side_effect = side_effect
 
@@ -5560,7 +5560,7 @@ def test_workflow_inspect_page(pub):
     export_to.convert_to_pdf = False
     export_to.label = 'create doc'
     upload = QuixoteUpload('/foo/test.rtf', content_type='application/rtf')
-    upload.fp = BytesIO()
+    upload.fp = io.BytesIO()
     upload.fp.write(b'HELLO WORLD')
     upload.fp.seek(0)
     export_to.model_file = UploadedFile(pub.app_dir, None, upload)
diff --git a/tests/backoffice_pages/test_export.py b/tests/backoffice_pages/test_export.py
index 1310e38cb..c78cb0708 100644
--- a/tests/backoffice_pages/test_export.py
+++ b/tests/backoffice_pages/test_export.py
@@ -1,5 +1,7 @@
 # -*- coding: utf-8 -*-
+
 import datetime
+import io
 import os
 import time
 import xml.etree.ElementTree as ET
@@ -7,8 +9,7 @@ import zipfile
 
 import pytest
 
-from django.utils.six import BytesIO
-from django.utils.six.moves.urllib import parse as urlparse
+import urllib.parse
 
 from wcs.qommon import ods
 from wcs.blocks import BlockDef
@@ -200,7 +201,7 @@ def test_backoffice_export_long_listings(pub, threshold):
     resp = app.get('/backoffice/management/form-title/')
     resp = resp.click('Export a Spreadsheet')
     assert resp.location.startswith('http://example.net/backoffice/processing?job=')
-    job_id = urlparse.parse_qs(urlparse.urlparse(resp.location).query)['job'][0]
+    job_id = urllib.parse.parse_qs(urllib.parse.urlparse(resp.location).query)['job'][0]
     resp = resp.follow()
     assert 'completed' in resp.text
     resp = resp.click('Download Export')
@@ -451,7 +452,7 @@ def test_backoffice_ods(pub):
     assert 'filename=form-title.ods' in resp.headers['content-disposition']
     assert resp.body[:2] == b'PK'  # ods has a zip container
 
-    zipf = zipfile.ZipFile(BytesIO(resp.body))
+    zipf = zipfile.ZipFile(io.BytesIO(resp.body))
     ods_sheet = ET.parse(zipf.open('content.xml'))
     # check the ods contains a link to the document
     elem = ods_sheet.findall('.//{%s}a' % ods.NS['text'])[0]
diff --git a/tests/backoffice_pages/test_submission.py b/tests/backoffice_pages/test_submission.py
index 90c3ddf5b..6aa2b3494 100644
--- a/tests/backoffice_pages/test_submission.py
+++ b/tests/backoffice_pages/test_submission.py
@@ -5,7 +5,7 @@ import re
 import time
 
 import pytest
-from django.utils.six.moves.urllib import parse as urllib
+import urllib.parse
 from utilities import clean_temporary_pub, create_temporary_pub, get_app, login
 
 from wcs import fields
@@ -290,7 +290,7 @@ def test_backoffice_submission_initiated_from_welco(pub, welco_url):
     def post_formdata():
         signed_url = sign_url(
             'http://example.net/api/formdefs/form-title/submit'
-            '?format=json&orig=coucou&email=%s' % urllib.quote(user.email),
+            '?format=json&orig=coucou&email=%s' % urllib.parse.quote(user.email),
             '1234',
         )
         url = signed_url[len('http://example.net') :]
diff --git a/tests/conftest.py b/tests/conftest.py
index 015fdc547..6f468bf5f 100644
--- a/tests/conftest.py
+++ b/tests/conftest.py
@@ -1,5 +1,5 @@
 import os
-from django.utils.six.moves import configparser as ConfigParser
+import configparser
 
 import pytest
 
@@ -7,7 +7,7 @@ from utilities import EmailsMocking, SMSMocking, HttpRequestsMocking
 
 
 def site_options(request, pub, section, variable, value):
-    config = ConfigParser.ConfigParser()
+    config = configparser.ConfigParser()
     path = os.path.join(pub.app_dir, 'site-options.cfg')
     if os.path.exists(path):
         config.read([path])
@@ -18,7 +18,7 @@ def site_options(request, pub, section, variable, value):
         config.write(site_option)
 
     def fin():
-        config = ConfigParser.ConfigParser()
+        config = configparser.ConfigParser()
         if os.path.exists(path):
             config.read([path])
             config.remove_option(section, variable)
